回写投资人对练报告
curl --request POST \
--url https://bptest.mapleai.cc/api/open/investor-rehearsal/projects/{project_id}/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schema_version": "phase7-formal-report-v1",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"report_version": 2,
"generated_at": "2023-11-07T05:31:56Z",
"report": {
"overview": "<string>",
"focus_points": [
{
"n": 2,
"title": "<string>",
"text": "<string>"
}
],
"questions": [
{
"question_id": "<string>",
"seq": 2,
"question": "<string>",
"focus": "<string>",
"answer_analysis": "<string>",
"recommended_answer": [
"<string>"
],
"ready": true
}
],
"focus_summary": "<string>",
"disclosure": "<string>"
}
}
'import requests
url = "https://bptest.mapleai.cc/api/open/investor-rehearsal/projects/{project_id}/reports"
payload = {
"schema_version": "phase7-formal-report-v1",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"report_version": 2,
"generated_at": "2023-11-07T05:31:56Z",
"report": {
"overview": "<string>",
"focus_points": [
{
"n": 2,
"title": "<string>",
"text": "<string>"
}
],
"questions": [
{
"question_id": "<string>",
"seq": 2,
"question": "<string>",
"focus": "<string>",
"answer_analysis": "<string>",
"recommended_answer": ["<string>"],
"ready": True
}
],
"focus_summary": "<string>",
"disclosure": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schema_version: 'phase7-formal-report-v1',
session_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
report_version: 2,
generated_at: '2023-11-07T05:31:56Z',
report: {
overview: '<string>',
focus_points: [{n: 2, title: '<string>', text: '<string>'}],
questions: [
{
question_id: '<string>',
seq: 2,
question: '<string>',
focus: '<string>',
answer_analysis: '<string>',
recommended_answer: ['<string>'],
ready: true
}
],
focus_summary: '<string>',
disclosure: '<string>'
}
})
};
fetch('https://bptest.mapleai.cc/api/open/investor-rehearsal/projects/{project_id}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}开放接口 / Open Investor Rehearsal
回写投资人对练报告
Persist one immutable report snapshot with tenant-scoped idempotency.
POST
/
api
/
open
/
investor-rehearsal
/
projects
/
{project_id}
/
reports
回写投资人对练报告
curl --request POST \
--url https://bptest.mapleai.cc/api/open/investor-rehearsal/projects/{project_id}/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schema_version": "phase7-formal-report-v1",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"report_version": 2,
"generated_at": "2023-11-07T05:31:56Z",
"report": {
"overview": "<string>",
"focus_points": [
{
"n": 2,
"title": "<string>",
"text": "<string>"
}
],
"questions": [
{
"question_id": "<string>",
"seq": 2,
"question": "<string>",
"focus": "<string>",
"answer_analysis": "<string>",
"recommended_answer": [
"<string>"
],
"ready": true
}
],
"focus_summary": "<string>",
"disclosure": "<string>"
}
}
'import requests
url = "https://bptest.mapleai.cc/api/open/investor-rehearsal/projects/{project_id}/reports"
payload = {
"schema_version": "phase7-formal-report-v1",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"report_version": 2,
"generated_at": "2023-11-07T05:31:56Z",
"report": {
"overview": "<string>",
"focus_points": [
{
"n": 2,
"title": "<string>",
"text": "<string>"
}
],
"questions": [
{
"question_id": "<string>",
"seq": 2,
"question": "<string>",
"focus": "<string>",
"answer_analysis": "<string>",
"recommended_answer": ["<string>"],
"ready": True
}
],
"focus_summary": "<string>",
"disclosure": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schema_version: 'phase7-formal-report-v1',
session_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
report_version: 2,
generated_at: '2023-11-07T05:31:56Z',
report: {
overview: '<string>',
focus_points: [{n: 2, title: '<string>', text: '<string>'}],
questions: [
{
question_id: '<string>',
seq: 2,
question: '<string>',
focus: '<string>',
answer_analysis: '<string>',
recommended_answer: ['<string>'],
ready: true
}
],
focus_summary: '<string>',
disclosure: '<string>'
}
})
};
fetch('https://bptest.mapleai.cc/api/open/investor-rehearsal/projects/{project_id}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Allowed value:
"phase7-formal-report-v1"Required range:
x >= 1Available options:
draft, validated Available options:
stream, hifi Show child attributes
Show child attributes
Maximum array length:
100